
package com.tmerclub.cloud.platform.mapper;

import com.tmerclub.cloud.platform.model.SysConfig;
import org.apache.ibatis.annotations.Param;

/**
 * 系统配置信息表
 *
 * @author lhd
 * @date 2020-12-23 16:27:57
 */
public interface SysConfigMapper {

    /**
     * 保存系统配置信息表
     * @param sysConfig 系统配置信息表
     */
    void save(@Param("sysConfig") SysConfig sysConfig);

    /**
     * 更新系统配置信息表
     * @param sysConfig 系统配置信息表
     */
    void update(@Param("sysConfig") SysConfig sysConfig);

    /**
     * 根据系统配置key获取对应数量
     * @param paramKey key
     * @return count
     */
    int countByKey(@Param("paramKey") String paramKey);


    /**
     * 根据key，查询系统配置信息
     * @param key key
     * @return SysConfig
     */
    SysConfig queryByKey(@Param("key") String key);

    /**
     * 根据key，更新value
     * @param key
     * @param value
     * @return 更新成功条数
     */
    void updateValueByKey(@Param("key") String key, @Param("value") String value);
}
